# Python 3.11 --  demo matplotlib single Axes
# Provided by Anthony Vogelaar, Perth Scotland
# rev 0.10  2024-04-30  initial release

import  matplotlib.pyplot   as  plt

class Img1:

    def __init__(self):
        fig = plt.figure(figsize=(4, 2), facecolor='lightskyblue')
        fig.suptitle('A nice Matplotlib Figure')
        ax = fig.add_subplot()
        ax.set_title('Axes', loc='left', fontstyle='oblique', fontsize='medium')
        plt.show()


class Img2:

    def __init__(self):
        fig = plt.figure(figsize=(4, 2), facecolor='lightskyblue', layout='constrained')
        fig.suptitle('A nice Matplotlib Figure')
        ax = fig.add_subplot()
        ax.set_title('Axes', loc='left', fontstyle='oblique', fontsize='medium')
        plt.show()


class Img3:

    def __init__(self):
        fig, ax = plt.subplots(figsize=(4, 2), facecolor='lightskyblue', layout='constrained')
        fig.suptitle('A nice Matplotlib Figure')
        ax.set_title('Axes', loc='left', fontstyle='oblique', fontsize='medium')
        plt.show()


Img3()
